com.amazonaws.services.codedeploy

## Class AbstractAmazonCodeDeploy

- java.lang.Object
- - com.amazonaws.services.codedeploy.AbstractAmazonCodeDeploy

All Implemented Interfaces:
  AmazonCodeDeploy

Direct Known Subclasses:
  AbstractAmazonCodeDeployAsync

    public class AbstractAmazonCodeDeploy
    extends Object
    implements AmazonCodeDeploy

Abstract implementation of `AmazonCodeDeploy`. Convenient method forms pass through to the corresponding overload that takes a request object, which throws an `UnsupportedOperationException`.

### Field Summary

### Fields inherited from interface com.amazonaws.services.codedeploy.AmazonCodeDeploy

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
`protected` `AbstractAmazonCodeDeploy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AddTagsToOnPremisesInstancesResult` `addTagsToOnPremisesInstances(AddTagsToOnPremisesInstancesRequest request)` Adds tags to on-premises instances.
`BatchGetApplicationRevisionsResult` `batchGetApplicationRevisions(BatchGetApplicationRevisionsRequest request)` Gets information about one or more application revisions.
`BatchGetApplicationsResult` `batchGetApplications()` Simplified method form for invoking the BatchGetApplications operation.
`BatchGetApplicationsResult` `batchGetApplications(BatchGetApplicationsRequest request)` Gets information about one or more applications.
`BatchGetDeploymentGroupsResult` `batchGetDeploymentGroups(BatchGetDeploymentGroupsRequest request)` Get information about one or more deployment groups.
`BatchGetDeploymentInstancesResult` `batchGetDeploymentInstances(BatchGetDeploymentInstancesRequest request)` Gets information about one or more instance that are part of a deployment group.
`BatchGetDeploymentsResult` `batchGetDeployments()` Simplified method form for invoking the BatchGetDeployments operation.
`BatchGetDeploymentsResult` `batchGetDeployments(BatchGetDeploymentsRequest request)` Gets information about one or more deployments.
`BatchGetOnPremisesInstancesResult` `batchGetOnPremisesInstances()` Simplified method form for invoking the BatchGetOnPremisesInstances operation.
`BatchGetOnPremisesInstancesResult` `batchGetOnPremisesInstances(BatchGetOnPremisesInstancesRequest request)` Gets information about one or more on-premises instances.
`CreateApplicationResult` `createApplication(CreateApplicationRequest request)` Creates an application.
`CreateDeploymentResult` `createDeployment(CreateDeploymentRequest request)` Deploys an application revision through the specified deployment group.
`CreateDeploymentConfigResult` `createDeploymentConfig(CreateDeploymentConfigRequest request)` Creates a deployment configuration.
`CreateDeploymentGroupResult` `createDeploymentGroup(CreateDeploymentGroupRequest request)` Creates a deployment group to which application revisions will be deployed.
`DeleteApplicationResult` `deleteApplication(DeleteApplicationRequest request)` Deletes an application.
`DeleteDeploymentConfigResult` `deleteDeploymentConfig(DeleteDeploymentConfigRequest request)` Deletes a deployment configuration.
`DeleteDeploymentGroupResult` `deleteDeploymentGroup(DeleteDeploymentGroupRequest request)` Deletes a deployment group.
`DeregisterOnPremisesInstanceResult` `deregisterOnPremisesInstance(DeregisterOnPremisesInstanceRequest request)` Deregisters an on-premises instance.
`GetApplicationResult` `getApplication(GetApplicationRequest request)` Gets information about an application.
`GetApplicationRevisionResult` `getApplicationRevision(GetApplicationRevisionRequest request)` Gets information about an application revision.
`ResponseMetadata` `getCachedResponseMetadata(AmazonWebServiceRequest request)` Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected.
`GetDeploymentResult` `getDeployment(GetDeploymentRequest request)` Gets information about a deployment.
`GetDeploymentConfigResult` `getDeploymentConfig(GetDeploymentConfigRequest request)` Gets information about a deployment configuration.
`GetDeploymentGroupResult` `getDeploymentGroup(GetDeploymentGroupRequest request)` Gets information about a deployment group.
`GetDeploymentInstanceResult` `getDeploymentInstance(GetDeploymentInstanceRequest request)` Gets information about an instance as part of a deployment.
`GetOnPremisesInstanceResult` `getOnPremisesInstance(GetOnPremisesInstanceRequest request)` Gets information about an on-premises instance.
`ListApplicationRevisionsResult` `listApplicationRevisions(ListApplicationRevisionsRequest request)` Lists information about revisions for an application.
`ListApplicationsResult` `listApplications()` Simplified method form for invoking the ListApplications operation.
`ListApplicationsResult` `listApplications(ListApplicationsRequest request)` Lists the applications registered with the applicable IAM user or AWS account.
`ListDeploymentConfigsResult` `listDeploymentConfigs()` Simplified method form for invoking the ListDeploymentConfigs operation.
`ListDeploymentConfigsResult` `listDeploymentConfigs(ListDeploymentConfigsRequest request)` Lists the deployment configurations with the applicable IAM user or AWS account.
`ListDeploymentGroupsResult` `listDeploymentGroups(ListDeploymentGroupsRequest request)` Lists the deployment groups for an application registered with the applicable IAM user or AWS account.
`ListDeploymentInstancesResult` `listDeploymentInstances(ListDeploymentInstancesRequest request)` Lists the instance for a deployment associated with the applicable IAM user or AWS account.
`ListDeploymentsResult` `listDeployments()` Simplified method form for invoking the ListDeployments operation.
`ListDeploymentsResult` `listDeployments(ListDeploymentsRequest request)` Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.
`ListOnPremisesInstancesResult` `listOnPremisesInstances()` Simplified method form for invoking the ListOnPremisesInstances operation.
`ListOnPremisesInstancesResult` `listOnPremisesInstances(ListOnPremisesInstancesRequest request)` Gets a list of names for one or more on-premises instances.
`RegisterApplicationRevisionResult` `registerApplicationRevision(RegisterApplicationRevisionRequest request)` Registers with AWS CodeDeploy a revision for the specified application.
`RegisterOnPremisesInstanceResult` `registerOnPremisesInstance(RegisterOnPremisesInstanceRequest request)` Registers an on-premises instance.
`RemoveTagsFromOnPremisesInstancesResult` `removeTagsFromOnPremisesInstances(RemoveTagsFromOnPremisesInstancesRequest request)` Removes one or more tags from one or more on-premises instances.
`void` `setEndpoint(String endpoint)` Overrides the default endpoint for this client ("https://codedeploy.us-east-1.amazonaws.com").
`void` `setRegion(Region region)` An alternative to `AmazonCodeDeploy.setEndpoint(String)`, sets the regional endpoint for this client's service calls.
`void` `shutdown()` Shuts down this client object, releasing any resources that might be held open.
`StopDeploymentResult` `stopDeployment(StopDeploymentRequest request)` Attempts to stop an ongoing deployment.
`UpdateApplicationResult` `updateApplication()` Simplified method form for invoking the UpdateApplication operation.
`UpdateApplicationResult` `updateApplication(UpdateApplicationRequest request)` Changes the name of an application.
`UpdateDeploymentGroupResult` `updateDeploymentGroup(UpdateDeploymentGroupRequest request)` Changes information about a deployment group.
`AmazonCodeDeployWaiters` `waiters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAmazonCodeDeploy

    protected AbstractAmazonCodeDeploy()

### Method Detail

#### setEndpoint

    public void setEndpoint(String endpoint)

Description copied from interface: `AmazonCodeDeploy`
Overrides the default endpoint for this client ("https://codedeploy.us-east-1.amazonaws.com"). Callers can use this method to control which AWS region they want to work with.

Callers can pass in just the endpoint (ex: "codedeploy.us-east-1.amazonaws.com") or a full URL, including the protocol (ex: "https://codedeploy.us-east-1.amazonaws.com"). If the protocol is not specified here, the default protocol from this client's `ClientConfiguration` will be used, which by default is HTTPS.

For more information on using AWS regions with the AWS SDK for Java, and a complete list of all available endpoints for all AWS services, see: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=3912

This method is not threadsafe. An endpoint should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setEndpoint` in interface `AmazonCodeDeploy`
Parameters:
  `endpoint` - The endpoint (ex: "codedeploy.us-east-1.amazonaws.com") or a full URL, including the protocol (ex: "https://codedeploy.us-east-1.amazonaws.com") of the region specific AWS endpoint this client will communicate with.

#### setRegion

    public void setRegion(Region region)

Description copied from interface: `AmazonCodeDeploy`
An alternative to `AmazonCodeDeploy.setEndpoint(String)`, sets the regional endpoint for this client's service calls. Callers can use this method to control which AWS region they want to work with.

By default, all service endpoints in all regions use the https protocol. To use http instead, specify it in the `ClientConfiguration` supplied at construction.

This method is not threadsafe. A region should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setRegion` in interface `AmazonCodeDeploy`
Parameters:
  `region` - The region this client will communicate with. See `Region.getRegion(com.amazonaws.regions.Regions)` for accessing a given region. Must not be null and must be a region where the service is available.
See Also:
  `Region.getRegion(com.amazonaws.regions.Regions)`, `Region.createClient(Class, com.amazonaws.auth.AWSCredentialsProvider, ClientConfiguration)`, `Region.isServiceSupported(String)`

#### addTagsToOnPremisesInstances

    public AddTagsToOnPremisesInstancesResult addTagsToOnPremisesInstances(AddTagsToOnPremisesInstancesRequest request)

Description copied from interface: `AmazonCodeDeploy`

Adds tags to on-premises instances.

Specified by:
  `addTagsToOnPremisesInstances` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of, and adds tags to, an on-premises instance operation.
Returns:
  Result of the AddTagsToOnPremisesInstances operation returned by the service.

#### batchGetApplicationRevisions

    public BatchGetApplicationRevisionsResult batchGetApplicationRevisions(BatchGetApplicationRevisionsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about one or more application revisions.

Specified by:
  `batchGetApplicationRevisions` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a batch get application revisions operation.
Returns:
  Result of the BatchGetApplicationRevisions operation returned by the service.

#### batchGetApplications

    public BatchGetApplicationsResult batchGetApplications(BatchGetApplicationsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about one or more applications.

Specified by:
  `batchGetApplications` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a batch get applications operation.
Returns:
  Result of the BatchGetApplications operation returned by the service.

#### batchGetApplications

    public BatchGetApplicationsResult batchGetApplications()

Description copied from interface: `AmazonCodeDeploy`
Simplified method form for invoking the BatchGetApplications operation.

Specified by:
  `batchGetApplications` in interface `AmazonCodeDeploy`
See Also:
  `AmazonCodeDeploy.batchGetApplications(BatchGetApplicationsRequest)`

#### batchGetDeploymentGroups

    public BatchGetDeploymentGroupsResult batchGetDeploymentGroups(BatchGetDeploymentGroupsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Get information about one or more deployment groups.

Specified by:
  `batchGetDeploymentGroups` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a batch get deployment groups operation.
Returns:
  Result of the BatchGetDeploymentGroups operation returned by the service.

#### batchGetDeploymentInstances

    public BatchGetDeploymentInstancesResult batchGetDeploymentInstances(BatchGetDeploymentInstancesRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about one or more instance that are part of a deployment group.

Specified by:
  `batchGetDeploymentInstances` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a batch get deployment instances operation.
Returns:
  Result of the BatchGetDeploymentInstances operation returned by the service.

#### batchGetDeployments

    public BatchGetDeploymentsResult batchGetDeployments(BatchGetDeploymentsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about one or more deployments.

Specified by:
  `batchGetDeployments` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a batch get deployments operation.
Returns:
  Result of the BatchGetDeployments operation returned by the service.

#### batchGetDeployments

    public BatchGetDeploymentsResult batchGetDeployments()

Description copied from interface: `AmazonCodeDeploy`
Simplified method form for invoking the BatchGetDeployments operation.

Specified by:
  `batchGetDeployments` in interface `AmazonCodeDeploy`
See Also:
  `AmazonCodeDeploy.batchGetDeployments(BatchGetDeploymentsRequest)`

#### batchGetOnPremisesInstances

    public BatchGetOnPremisesInstancesResult batchGetOnPremisesInstances(BatchGetOnPremisesInstancesRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about one or more on-premises instances.

Specified by:
  `batchGetOnPremisesInstances` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a batch get on-premises instances operation.
Returns:
  Result of the BatchGetOnPremisesInstances operation returned by the service.

#### batchGetOnPremisesInstances

    public BatchGetOnPremisesInstancesResult batchGetOnPremisesInstances()

Description copied from interface: `AmazonCodeDeploy`
Simplified method form for invoking the BatchGetOnPremisesInstances operation.

Specified by:
  `batchGetOnPremisesInstances` in interface `AmazonCodeDeploy`
See Also:
  `AmazonCodeDeploy.batchGetOnPremisesInstances(BatchGetOnPremisesInstancesRequest)`

#### createApplication

    public CreateApplicationResult createApplication(CreateApplicationRequest request)

Description copied from interface: `AmazonCodeDeploy`

Creates an application.

Specified by:
  `createApplication` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a create application operation.
Returns:
  Result of the CreateApplication operation returned by the service.

#### createDeployment

    public CreateDeploymentResult createDeployment(CreateDeploymentRequest request)

Description copied from interface: `AmazonCodeDeploy`

Deploys an application revision through the specified deployment group.

Specified by:
  `createDeployment` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a create deployment operation.
Returns:
  Result of the CreateDeployment operation returned by the service.

#### createDeploymentConfig

    public CreateDeploymentConfigResult createDeploymentConfig(CreateDeploymentConfigRequest request)

Description copied from interface: `AmazonCodeDeploy`

Creates a deployment configuration.

Specified by:
  `createDeploymentConfig` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a create deployment configuration operation.
Returns:
  Result of the CreateDeploymentConfig operation returned by the service.

#### createDeploymentGroup

    public CreateDeploymentGroupResult createDeploymentGroup(CreateDeploymentGroupRequest request)

Description copied from interface: `AmazonCodeDeploy`

Creates a deployment group to which application revisions will be deployed.

Specified by:
  `createDeploymentGroup` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a create deployment group operation.
Returns:
  Result of the CreateDeploymentGroup operation returned by the service.

#### deleteApplication

    public DeleteApplicationResult deleteApplication(DeleteApplicationRequest request)

Description copied from interface: `AmazonCodeDeploy`

Deletes an application.

Specified by:
  `deleteApplication` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a delete application operation.
Returns:
  Result of the DeleteApplication operation returned by the service.

#### deleteDeploymentConfig

    public DeleteDeploymentConfigResult deleteDeploymentConfig(DeleteDeploymentConfigRequest request)

Description copied from interface: `AmazonCodeDeploy`

Deletes a deployment configuration.

<note>

A deployment configuration cannot be deleted if it is currently in use. Predefined configurations cannot be deleted.

</note>

Specified by:
  `deleteDeploymentConfig` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a delete deployment configuration operation.
Returns:
  Result of the DeleteDeploymentConfig operation returned by the service.

#### deleteDeploymentGroup

    public DeleteDeploymentGroupResult deleteDeploymentGroup(DeleteDeploymentGroupRequest request)

Description copied from interface: `AmazonCodeDeploy`

Deletes a deployment group.

Specified by:
  `deleteDeploymentGroup` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a delete deployment group operation.
Returns:
  Result of the DeleteDeploymentGroup operation returned by the service.

#### deregisterOnPremisesInstance

    public DeregisterOnPremisesInstanceResult deregisterOnPremisesInstance(DeregisterOnPremisesInstanceRequest request)

Description copied from interface: `AmazonCodeDeploy`

Deregisters an on-premises instance.

Specified by:
  `deregisterOnPremisesInstance` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a deregister on-premises instance operation.
Returns:
  Result of the DeregisterOnPremisesInstance operation returned by the service.

#### getApplication

    public GetApplicationResult getApplication(GetApplicationRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about an application.

Specified by:
  `getApplication` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a get application operation.
Returns:
  Result of the GetApplication operation returned by the service.

#### getApplicationRevision

    public GetApplicationRevisionResult getApplicationRevision(GetApplicationRevisionRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about an application revision.

Specified by:
  `getApplicationRevision` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a get application revision operation.
Returns:
  Result of the GetApplicationRevision operation returned by the service.

#### getDeployment

    public GetDeploymentResult getDeployment(GetDeploymentRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about a deployment.

Specified by:
  `getDeployment` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a get deployment operation.
Returns:
  Result of the GetDeployment operation returned by the service.

#### getDeploymentConfig

    public GetDeploymentConfigResult getDeploymentConfig(GetDeploymentConfigRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about a deployment configuration.

Specified by:
  `getDeploymentConfig` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a get deployment configuration operation.
Returns:
  Result of the GetDeploymentConfig operation returned by the service.

#### getDeploymentGroup

    public GetDeploymentGroupResult getDeploymentGroup(GetDeploymentGroupRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about a deployment group.

Specified by:
  `getDeploymentGroup` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a get deployment group operation.
Returns:
  Result of the GetDeploymentGroup operation returned by the service.

#### getDeploymentInstance

    public GetDeploymentInstanceResult getDeploymentInstance(GetDeploymentInstanceRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about an instance as part of a deployment.

Specified by:
  `getDeploymentInstance` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a get deployment instance operation.
Returns:
  Result of the GetDeploymentInstance operation returned by the service.

#### getOnPremisesInstance

    public GetOnPremisesInstanceResult getOnPremisesInstance(GetOnPremisesInstanceRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets information about an on-premises instance.

Specified by:
  `getOnPremisesInstance` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a get on-premises instance operation.
Returns:
  Result of the GetOnPremisesInstance operation returned by the service.

#### listApplicationRevisions

    public ListApplicationRevisionsResult listApplicationRevisions(ListApplicationRevisionsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Lists information about revisions for an application.

Specified by:
  `listApplicationRevisions` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a list application revisions operation.
Returns:
  Result of the ListApplicationRevisions operation returned by the service.

#### listApplications

    public ListApplicationsResult listApplications(ListApplicationsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Lists the applications registered with the applicable IAM user or AWS account.

Specified by:
  `listApplications` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a list applications operation.
Returns:
  Result of the ListApplications operation returned by the service.

#### listApplications

    public ListApplicationsResult listApplications()

Description copied from interface: `AmazonCodeDeploy`
Simplified method form for invoking the ListApplications operation.

Specified by:
  `listApplications` in interface `AmazonCodeDeploy`
See Also:
  `AmazonCodeDeploy.listApplications(ListApplicationsRequest)`

#### listDeploymentConfigs

    public ListDeploymentConfigsResult listDeploymentConfigs(ListDeploymentConfigsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Lists the deployment configurations with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentConfigs` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a list deployment configurations operation.
Returns:
  Result of the ListDeploymentConfigs operation returned by the service.

#### listDeploymentConfigs

    public ListDeploymentConfigsResult listDeploymentConfigs()

Description copied from interface: `AmazonCodeDeploy`
Simplified method form for invoking the ListDeploymentConfigs operation.

Specified by:
  `listDeploymentConfigs` in interface `AmazonCodeDeploy`
See Also:
  `AmazonCodeDeploy.listDeploymentConfigs(ListDeploymentConfigsRequest)`

#### listDeploymentGroups

    public ListDeploymentGroupsResult listDeploymentGroups(ListDeploymentGroupsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Lists the deployment groups for an application registered with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentGroups` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a list deployment groups operation.
Returns:
  Result of the ListDeploymentGroups operation returned by the service.

#### listDeploymentInstances

    public ListDeploymentInstancesResult listDeploymentInstances(ListDeploymentInstancesRequest request)

Description copied from interface: `AmazonCodeDeploy`

Lists the instance for a deployment associated with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentInstances` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a list deployment instances operation.
Returns:
  Result of the ListDeploymentInstances operation returned by the service.

#### listDeployments

    public ListDeploymentsResult listDeployments(ListDeploymentsRequest request)

Description copied from interface: `AmazonCodeDeploy`

Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.

Specified by:
  `listDeployments` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a list deployments operation.
Returns:
  Result of the ListDeployments operation returned by the service.

#### listDeployments

    public ListDeploymentsResult listDeployments()

Description copied from interface: `AmazonCodeDeploy`
Simplified method form for invoking the ListDeployments operation.

Specified by:
  `listDeployments` in interface `AmazonCodeDeploy`
See Also:
  `AmazonCodeDeploy.listDeployments(ListDeploymentsRequest)`

#### listOnPremisesInstances

    public ListOnPremisesInstancesResult listOnPremisesInstances(ListOnPremisesInstancesRequest request)

Description copied from interface: `AmazonCodeDeploy`

Gets a list of names for one or more on-premises instances.

Unless otherwise specified, both registered and deregistered on-premises instance names will be listed. To list only registered or deregistered on-premises instance names, use the registration status parameter.

Specified by:
  `listOnPremisesInstances` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a list on-premises instances operation.
Returns:
  Result of the ListOnPremisesInstances operation returned by the service.

#### listOnPremisesInstances

    public ListOnPremisesInstancesResult listOnPremisesInstances()

Description copied from interface: `AmazonCodeDeploy`
Simplified method form for invoking the ListOnPremisesInstances operation.

Specified by:
  `listOnPremisesInstances` in interface `AmazonCodeDeploy`
See Also:
  `AmazonCodeDeploy.listOnPremisesInstances(ListOnPremisesInstancesRequest)`

#### registerApplicationRevision

    public RegisterApplicationRevisionResult registerApplicationRevision(RegisterApplicationRevisionRequest request)

Description copied from interface: `AmazonCodeDeploy`

Registers with AWS CodeDeploy a revision for the specified application.

Specified by:
  `registerApplicationRevision` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a register application revision operation.
Returns:
  Result of the RegisterApplicationRevision operation returned by the service.

#### registerOnPremisesInstance

    public RegisterOnPremisesInstanceResult registerOnPremisesInstance(RegisterOnPremisesInstanceRequest request)

Description copied from interface: `AmazonCodeDeploy`

Registers an on-premises instance.

Specified by:
  `registerOnPremisesInstance` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of the register on-premises instance operation.
Returns:
  Result of the RegisterOnPremisesInstance operation returned by the service.

#### removeTagsFromOnPremisesInstances

    public RemoveTagsFromOnPremisesInstancesResult removeTagsFromOnPremisesInstances(RemoveTagsFromOnPremisesInstancesRequest request)

Description copied from interface: `AmazonCodeDeploy`

Removes one or more tags from one or more on-premises instances.

Specified by:
  `removeTagsFromOnPremisesInstances` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a remove tags from on-premises instances operation.
Returns:
  Result of the RemoveTagsFromOnPremisesInstances operation returned by the service.

#### stopDeployment

    public StopDeploymentResult stopDeployment(StopDeploymentRequest request)

Description copied from interface: `AmazonCodeDeploy`

Attempts to stop an ongoing deployment.

Specified by:
  `stopDeployment` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of a stop deployment operation.
Returns:
  Result of the StopDeployment operation returned by the service.

#### updateApplication

    public UpdateApplicationResult updateApplication(UpdateApplicationRequest request)

Description copied from interface: `AmazonCodeDeploy`

Changes the name of an application.

Specified by:
  `updateApplication` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of an update application operation.
Returns:
  Result of the UpdateApplication operation returned by the service.

#### updateApplication

    public UpdateApplicationResult updateApplication()

Description copied from interface: `AmazonCodeDeploy`
Simplified method form for invoking the UpdateApplication operation.

Specified by:
  `updateApplication` in interface `AmazonCodeDeploy`
See Also:
  `AmazonCodeDeploy.updateApplication(UpdateApplicationRequest)`

#### updateDeploymentGroup

    public UpdateDeploymentGroupResult updateDeploymentGroup(UpdateDeploymentGroupRequest request)

Description copied from interface: `AmazonCodeDeploy`

Changes information about a deployment group.

Specified by:
  `updateDeploymentGroup` in interface `AmazonCodeDeploy`
Parameters:
  `request` - Represents the input of an update deployment group operation.
Returns:
  Result of the UpdateDeploymentGroup operation returned by the service.

#### shutdown

    public void shutdown()

Description copied from interface: `AmazonCodeDeploy`
Shuts down this client object, releasing any resources that might be held open. This is an optional method, and callers are not expected to call it, but can if they want to explicitly release any open resources. Once a client has been shutdown, it should not be used to make any more requests.

Specified by:
  `shutdown` in interface `AmazonCodeDeploy`

#### getCachedResponseMetadata

    public ResponseMetadata getCachedResponseMetadata(AmazonWebServiceRequest request)

Description copied from interface: `AmazonCodeDeploy`
Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected. This data isn't considered part of the result data returned by an operation, so it's available through this separate, diagnostic interface.

Response metadata is only cached for a limited period of time, so if you need to access this extra diagnostic information for an executed request, you should use this method to retrieve it as soon as possible after executing a request.

Specified by:
  `getCachedResponseMetadata` in interface `AmazonCodeDeploy`
Parameters:
  `request` - The originally executed request.
Returns:
  The response metadata for the specified request, or null if none is available.

#### waiters

    public AmazonCodeDeployWaiters waiters()

Specified by:
  `waiters` in interface `AmazonCodeDeploy`